package com.yihu.wlyy.repository.template;

import com.yihu.wlyy.entity.template.DoctorGuidanceTemp;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by lyr-pc on 2017/2/3.
 */
public interface DoctorGuidanceTempDao extends PagingAndSortingRepository<DoctorGuidanceTemp, Long> {

    DoctorGuidanceTemp findByCode(String code);

    int deleteByCode(String code);

    @Query("select t from DoctorGuidanceTemp t where t.owner = ?1 order by t.sendTimes desc")
    List<DoctorGuidanceTemp> findByOwner(String owner);

    @Query("select t from DoctorGuidanceTemp t where t.owner = ?1 or t.owner = 'system' order by t.sendTimes desc")
    List<DoctorGuidanceTemp> findByOwnerAndSystem(String owner);
}
