package com.yihu.wlyy.service.common.data;

import java.util.List;

import javax.transaction.Transactional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.yihu.wlyy.entity.dict.Disease;
import com.yihu.wlyy.repository.dict.DiseaseDao;
import com.yihu.wlyy.service.BaseService;

@Component
@Transactional(rollbackOn = Exception.class)
public class DataService extends BaseService {

	@Autowired
	private DiseaseDao diseaseDao;

	public List<Disease> findAllDisease() {
		return diseaseDao.findAll();
	}

}
